# Get the id of the block at calling position

# Clear
data remove storage get_block:result block_state.Name

# Check most blocks using /loot
execute as @n[tag=get_block_batch] run function get_block_int:loot_batch
execute unless entity @n[tag=get_block_batch] summon armor_stand run function get_block_int:loot_single

# Check for exceptions to /loot

# Fluids
execute if block ~ ~ ~ water run data modify storage get_block:result block_state.Name set value "water"
execute if block ~ ~ ~ lava run data modify storage get_block:result block_state.Name set value "lava"


# Blocks missed with silk pickaxe
execute if block ~ ~ ~ snow run data modify storage get_block:result block_state.Name set value "snow"
execute if block ~ ~ ~ snow_block run data modify storage get_block:result block_state.Name set value "snow_block"
execute if block ~ ~ ~ powder_snow run data modify storage get_block:result block_state.Name set value "powder_snow"
execute if block ~ ~ ~ nether_sprouts run data modify storage get_block:result block_state.Name set value "nether_sprouts"
execute if block ~ ~ ~ hanging_roots run data modify storage get_block:result block_state.Name set value "hanging_roots"
execute if block ~ ~ ~ vine run data modify storage get_block:result block_state.Name set value "vine"
execute if block ~ ~ ~ short_grass run data modify storage get_block:result block_state.Name set value "short_grass"
execute if block ~ ~ ~ fern run data modify storage get_block:result block_state.Name set value "fern"
execute if block ~ ~ ~ tall_grass run data modify storage get_block:result block_state.Name set value "tall_grass"
execute if block ~ ~ ~ seagrass run data modify storage get_block:result block_state.Name set value "seagrass"
execute if block ~ ~ ~ tall_seagrass run data modify storage get_block:result block_state.Name set value "tall_seagrass"
execute if block ~ ~ ~ twisting_vines run data modify storage get_block:result block_state.Name set value "twisting_vines"
execute if block ~ ~ ~ weeping_vines run data modify storage get_block:result block_state.Name set value "weeping_vines"
execute if block ~ ~ ~ cave_vines run data modify storage get_block:result block_state.Name set value "cave_vines"


# Blocks with a different state when broken
execute if block ~ ~ ~ wheat run data modify storage get_block:result block_state.Name set value "wheat"
execute if block ~ ~ ~ carrots run data modify storage get_block:result block_state.Name set value "carrots"
execute if block ~ ~ ~ potatoes run data modify storage get_block:result block_state.Name set value "potatoes"
execute if block ~ ~ ~ beetroots run data modify storage get_block:result block_state.Name set value "beetroots"
execute if block ~ ~ ~ melon_stem run data modify storage get_block:result block_state.Name set value "melon_stem"
execute if block ~ ~ ~ pumpkin_stem run data modify storage get_block:result block_state.Name set value "pumpkin_stem"
execute if block ~ ~ ~ attached_melon_stem run data modify storage get_block:result block_state.Name set value "attached_melon_stem"
execute if block ~ ~ ~ attached_pumpkin_stem run data modify storage get_block:result block_state.Name set value "attached_pumpkin_stem"
execute if block ~ ~ ~ twisting_vines_plant run data modify storage get_block:result block_state.Name set value "twisting_vines_plant"
execute if block ~ ~ ~ weeping_vines_plant run data modify storage get_block:result block_state.Name set value "weeping_vines_plant"
execute if block ~ ~ ~ cave_vines_plant run data modify storage get_block:result block_state.Name set value "cave_vines_plant"

execute if block ~ ~ ~ wall_torch run data modify storage get_block:result block_state.Name set value "wall_torch"
execute if block ~ ~ ~ soul_wall_torch run data modify storage get_block:result block_state.Name set value "soul_wall_torch"
execute if block ~ ~ ~ redstone_wall_torch run data modify storage get_block:result block_state.Name set value "redstone_wall_torch"

execute if block ~ ~ ~ redstone_wire run data modify storage get_block:result block_state.Name set value "redstone_wire"
execute if block ~ ~ ~ tripwire run data modify storage get_block:result block_state.Name set value "tripwire"

execute if block ~ ~ ~ lava_cauldron run data modify storage get_block:result block_state.Name set value "lava_cauldron"
execute if block ~ ~ ~ water_cauldron run data modify storage get_block:result block_state.Name set value "water_cauldron"
execute if block ~ ~ ~ powder_snow_cauldron run data modify storage get_block:result block_state.Name set value "powder_snow_cauldron"


# Unobtainable blocks
execute if block ~ ~ ~ frogspawn run data modify storage get_block:result block_state.Name set value "frogspawn"
execute if block ~ ~ ~ suspicious_sand run data modify storage get_block:result block_state.Name set value "suspicious_sand"
execute if block ~ ~ ~ suspicious_gravel run data modify storage get_block:result block_state.Name set value "suspicious_gravel"
execute if block ~ ~ ~ budding_amethyst run data modify storage get_block:result block_state.Name set value "budding_amethyst"
execute if block ~ ~ ~ spawner run data modify storage get_block:result block_state.Name set value "spawner"
execute if block ~ ~ ~ trial_spawner run data modify storage get_block:result block_state.Name set value "trial_spawner"
execute if block ~ ~ ~ vault run data modify storage get_block:result block_state.Name set value "vault"


# Unbreakable blocks
execute if block ~ ~ ~ barrier run data modify storage get_block:result block_state.Name set value "barrier"
execute if block ~ ~ ~ command_block run data modify storage get_block:result block_state.Name set value "command_block"
execute if block ~ ~ ~ chain_command_block run data modify storage get_block:result block_state.Name set value "chain_command_block"
execute if block ~ ~ ~ repeating_command_block run data modify storage get_block:result block_state.Name set value "repeating_command_block"
execute if block ~ ~ ~ jigsaw run data modify storage get_block:result block_state.Name set value "jigsaw"
execute if block ~ ~ ~ structure_block run data modify storage get_block:result block_state.Name set value "structure_block"
execute if block ~ ~ ~ structure_void run data modify storage get_block:result block_state.Name set value "structure_void"
execute if block ~ ~ ~ light run data modify storage get_block:result block_state.Name set value "light"
execute if block ~ ~ ~ bedrock run data modify storage get_block:result block_state.Name set value "bedrock"
execute if block ~ ~ ~ reinforced_deepslate run data modify storage get_block:result block_state.Name set value "reinforced_deepslate"
execute if block ~ ~ ~ end_gateway run data modify storage get_block:result block_state.Name set value "end_gateway"
execute if block ~ ~ ~ end_portal run data modify storage get_block:result block_state.Name set value "end_portal"
execute if block ~ ~ ~ end_portal_frame run data modify storage get_block:result block_state.Name set value "end_portal_frame"
execute if block ~ ~ ~ nether_portal run data modify storage get_block:result block_state.Name set value "nether_portal"
execute if block ~ ~ ~ piston_head run data modify storage get_block:result block_state.Name set value "piston_head"


# Blocks with no item equivalent
execute if block ~ ~ ~ fire run data modify storage get_block:result block_state.Name set value "fire"
execute if block ~ ~ ~ soul_fire run data modify storage get_block:result block_state.Name set value "soul_fire"
execute if block ~ ~ ~ bubble_column run data modify storage get_block:result block_state.Name set value "bubble_column"
execute if block ~ ~ ~ cave_air run data modify storage get_block:result block_state.Name set value "cave_air"
execute if block ~ ~ ~ void_air run data modify storage get_block:result block_state.Name set value "void_air"
execute if block ~ ~ ~ air run data modify storage get_block:result block_state.Name set value "air"


# Door top halves
execute if block ~ ~ ~ oak_door run data modify storage get_block:result block_state.Name set value "oak_door"
execute if block ~ ~ ~ spruce_door run data modify storage get_block:result block_state.Name set value "spruce_door"
execute if block ~ ~ ~ birch_door run data modify storage get_block:result block_state.Name set value "birch_door"
execute if block ~ ~ ~ jungle_door run data modify storage get_block:result block_state.Name set value "jungle_door"
execute if block ~ ~ ~ acacia_door run data modify storage get_block:result block_state.Name set value "acacia_door"
execute if block ~ ~ ~ dark_oak_door run data modify storage get_block:result block_state.Name set value "dark_oak_door"
execute if block ~ ~ ~ mangrove_door run data modify storage get_block:result block_state.Name set value "mangrove_door"
execute if block ~ ~ ~ cherry_door run data modify storage get_block:result block_state.Name set value "cherry_door"
execute if block ~ ~ ~ bamboo_door run data modify storage get_block:result block_state.Name set value "bamboo_door"
execute if block ~ ~ ~ crimson_door run data modify storage get_block:result block_state.Name set value "crimson_door"
execute if block ~ ~ ~ warped_door run data modify storage get_block:result block_state.Name set value "warped_door"
execute if block ~ ~ ~ iron_door run data modify storage get_block:result block_state.Name set value "iron_door"
execute if block ~ ~ ~ copper_door run data modify storage get_block:result block_state.Name set value "copper_door"
execute if block ~ ~ ~ exposed_copper_door run data modify storage get_block:result block_state.Name set value "exposed_copper_door"
execute if block ~ ~ ~ weathered_copper_door run data modify storage get_block:result block_state.Name set value "weathered_copper_door"
execute if block ~ ~ ~ oxidized_copper_door run data modify storage get_block:result block_state.Name set value "oxidized_copper_door"
execute if block ~ ~ ~ waxed_copper_door run data modify storage get_block:result block_state.Name set value "waxed_copper_door"
execute if block ~ ~ ~ waxed_exposed_copper_door run data modify storage get_block:result block_state.Name set value "waxed_exposed_copper_door"
execute if block ~ ~ ~ waxed_weathered_copper_door run data modify storage get_block:result block_state.Name set value "waxed_weaathered_copper_door"
execute if block ~ ~ ~ waxed_oxidized_copper_door run data modify storage get_block:result block_state.Name set value "waxed_oxidized_copper_door"


# Potted plants
execute if block ~ ~ ~ potted_acacia_sapling run data modify storage get_block:result block_state.Name set value "potted_acacia_sapling"
execute if block ~ ~ ~ potted_allium run data modify storage get_block:result block_state.Name set value "potted_allium"
execute if block ~ ~ ~ potted_azalea_bush run data modify storage get_block:result block_state.Name set value "potted_azalea_bush"
execute if block ~ ~ ~ potted_azure_bluet run data modify storage get_block:result block_state.Name set value "potted_azure_bluet"
execute if block ~ ~ ~ potted_bamboo run data modify storage get_block:result block_state.Name set value "potted_bamboo"
execute if block ~ ~ ~ potted_birch_sapling run data modify storage get_block:result block_state.Name set value "potted_birch_sapling"
execute if block ~ ~ ~ potted_blue_orchid run data modify storage get_block:result block_state.Name set value "potted_blue_orchid"
execute if block ~ ~ ~ potted_brown_mushroom run data modify storage get_block:result block_state.Name set value "potted_brown_mushroom"
execute if block ~ ~ ~ potted_cactus run data modify storage get_block:result block_state.Name set value "potted_cactus"
execute if block ~ ~ ~ potted_cherry_sapling run data modify storage get_block:result block_state.Name set value "potted_cherry_sapling"
execute if block ~ ~ ~ potted_cornflower run data modify storage get_block:result block_state.Name set value "potted_cornflower"
execute if block ~ ~ ~ potted_crimson_fungus run data modify storage get_block:result block_state.Name set value "potted_crimson_fungus"
execute if block ~ ~ ~ potted_crimson_roots run data modify storage get_block:result block_state.Name set value "potted_crimson_roots"
execute if block ~ ~ ~ potted_dandelion run data modify storage get_block:result block_state.Name set value "potted_dandelion"
execute if block ~ ~ ~ potted_dark_oak_sapling run data modify storage get_block:result block_state.Name set value "potted_dark_oak_sapling"
execute if block ~ ~ ~ potted_dead_bush run data modify storage get_block:result block_state.Name set value "potted_dead_bush"
execute if block ~ ~ ~ potted_fern run data modify storage get_block:result block_state.Name set value "potted_fern"
execute if block ~ ~ ~ potted_flowering_azalea_bush run data modify storage get_block:result block_state.Name set value "potted_flowering_azalea_bush"
execute if block ~ ~ ~ potted_jungle_sapling run data modify storage get_block:result block_state.Name set value "potted_jungle_sapling"
execute if block ~ ~ ~ potted_lily_of_the_valley run data modify storage get_block:result block_state.Name set value "potted_lily_of_the_valley"
execute if block ~ ~ ~ potted_mangrove_propagule run data modify storage get_block:result block_state.Name set value "potted_mangrove_propagule"
execute if block ~ ~ ~ potted_oak_sapling run data modify storage get_block:result block_state.Name set value "potted_oak_sapling"
execute if block ~ ~ ~ potted_orange_tulip run data modify storage get_block:result block_state.Name set value "potted_orange_tulip"
execute if block ~ ~ ~ potted_oxeye_daisy run data modify storage get_block:result block_state.Name set value "potted_oxeye_daisy"
execute if block ~ ~ ~ potted_pink_tulip run data modify storage get_block:result block_state.Name set value "potted_pink_tulip"
execute if block ~ ~ ~ potted_poppy run data modify storage get_block:result block_state.Name set value "potted_poppy"
execute if block ~ ~ ~ potted_red_mushroom run data modify storage get_block:result block_state.Name set value "potted_red_mushroom"
execute if block ~ ~ ~ potted_red_tulip run data modify storage get_block:result block_state.Name set value "potted_red_tulip"
execute if block ~ ~ ~ potted_spruce_sapling run data modify storage get_block:result block_state.Name set value "potted_spruce_sapling"
execute if block ~ ~ ~ potted_torchflower run data modify storage get_block:result block_state.Name set value "potted_torchflower"
execute if block ~ ~ ~ potted_warped_fungus run data modify storage get_block:result block_state.Name set value "potted_warped_fungus"
execute if block ~ ~ ~ potted_warped_roots run data modify storage get_block:result block_state.Name set value "potted_warped_roots"
execute if block ~ ~ ~ potted_white_tulip run data modify storage get_block:result block_state.Name set value "potted_white_tulip"
execute if block ~ ~ ~ potted_wither_rose run data modify storage get_block:result block_state.Name set value "potted_wither_rose"


# Wall Skulls
execute if block ~ ~ ~ creeper_wall_head run data modify storage get_block:result block_state.Name set value "creeper_wall_head"
execute if block ~ ~ ~ dragon_wall_head run data modify storage get_block:result block_state.Name set value "dragon_wall_head"
execute if block ~ ~ ~ piglin_wall_head run data modify storage get_block:result block_state.Name set value "piglin_wall_head"
execute if block ~ ~ ~ player_wall_head run data modify storage get_block:result block_state.Name set value "player_wall_head"
execute if block ~ ~ ~ zombie_wall_head run data modify storage get_block:result block_state.Name set value "zombie_wall_head"
execute if block ~ ~ ~ skeleton_wall_skull run data modify storage get_block:result block_state.Name set value "skeleton_wall_skull"
execute if block ~ ~ ~ wither_skeleton_wall_skull run data modify storage get_block:result block_state.Name set value "wither_skeleton_wall_skull"


execute if block ~ ~ ~ acacia_wall_sign run data modify storage get_block:result block_state.Name set value "acacia_wall_sign"
execute if block ~ ~ ~ bamboo_wall_sign run data modify storage get_block:result block_state.Name set value "bamboo_wall_sign"
execute if block ~ ~ ~ birch_wall_sign run data modify storage get_block:result block_state.Name set value "birch_wall_sign"
execute if block ~ ~ ~ cherry_wall_sign run data modify storage get_block:result block_state.Name set value "cherry_wall_sign"
execute if block ~ ~ ~ crimson_wall_sign run data modify storage get_block:result block_state.Name set value "crimson_wall_sign"
execute if block ~ ~ ~ dark_oak_wall_sign run data modify storage get_block:result block_state.Name set value "dark_oak_wall_sign"
execute if block ~ ~ ~ jungle_wall_sign run data modify storage get_block:result block_state.Name set value "jungle_wall_sign"
execute if block ~ ~ ~ mangrove_wall_sign run data modify storage get_block:result block_state.Name set value "mangrove_wall_sign"
execute if block ~ ~ ~ oak_wall_sign run data modify storage get_block:result block_state.Name set value "oak_wall_sign"
execute if block ~ ~ ~ spruce_wall_sign run data modify storage get_block:result block_state.Name set value "spruce_wall_sign"
execute if block ~ ~ ~ warped_wall_sign run data modify storage get_block:result block_state.Name set value "warped_wall_sign"
execute if block ~ ~ ~ acacia_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "acacia_wall_hanging_sign"
execute if block ~ ~ ~ bamboo_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "bamboo_wall_hanging_sign"
execute if block ~ ~ ~ birch_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "birch_wall_hanging_sign"
execute if block ~ ~ ~ cherry_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "cherry_wall_hanging_sign"
execute if block ~ ~ ~ crimson_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "crimson_wall_hanging_sign"
execute if block ~ ~ ~ dark_oak_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "dark_oak_wall_hanging_sign"
execute if block ~ ~ ~ jungle_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "jungle_wall_hanging_sign"
execute if block ~ ~ ~ mangrove_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "mangrove_wall_hanging_sign"
execute if block ~ ~ ~ oak_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "oak_wall_hanging_sign"
execute if block ~ ~ ~ spruce_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "spruce_wall_hanging_sign"
execute if block ~ ~ ~ warped_wall_hanging_sign run data modify storage get_block:result block_state.Name set value "warped_wall_hanging_sign"


execute if block ~ ~ ~ brain_coral_wall_fan run data modify storage get_block:result block_state.Name set value "brain_coral_wall_fan"
execute if block ~ ~ ~ bubble_coral_wall_fan run data modify storage get_block:result block_state.Name set value "bubble_coral_wall_fan"
execute if block ~ ~ ~ fire_coral_wall_fan run data modify storage get_block:result block_state.Name set value "fire_coral_wall_fan"
execute if block ~ ~ ~ horn_coral_wall_fan run data modify storage get_block:result block_state.Name set value "horn_coral_wall_fan"
execute if block ~ ~ ~ tube_coral_wall_fan run data modify storage get_block:result block_state.Name set value "tube_coral_wall_fan"
execute if block ~ ~ ~ dead_brain_coral_wall_fan run data modify storage get_block:result block_state.Name set value "dead_brain_coral_wall_fan"
execute if block ~ ~ ~ dead_bubble_coral_wall_fan run data modify storage get_block:result block_state.Name set value "dead_bubble_coral_wall_fan"
execute if block ~ ~ ~ dead_fire_coral_wall_fan run data modify storage get_block:result block_state.Name set value "dead_fire_coral_wall_fan"
execute if block ~ ~ ~ dead_horn_coral_wall_fan run data modify storage get_block:result block_state.Name set value "dead_horn_coral_wall_fan"
execute if block ~ ~ ~ dead_tube_coral_wall_fan run data modify storage get_block:result block_state.Name set value "dead_tube_coral_wall_fan"


execute if block ~ ~ ~ big_dripleaf run data modify storage get_block:result block_state.Name set value "big_dripleaf"
execute if block ~ ~ ~ big_dripleaf_stem run data modify storage get_block:result block_state.Name set value "big_dripleaf_stem"
execute if block ~ ~ ~ small_dripleaf run data modify storage get_block:result block_state.Name set value "small_dripleaf"


execute if block ~ ~ ~ cake run data modify storage get_block:result block_state.Name set value "cake"
execute if block ~ ~ ~ candle_cake run data modify storage get_block:result block_state.Name set value "candle_cake"
execute if block ~ ~ ~ black_candle_cake run data modify storage get_block:result block_state.Name set value "black_candle_cake"
execute if block ~ ~ ~ blue_candle_cake run data modify storage get_block:result block_state.Name set value "blue_candle_cake"
execute if block ~ ~ ~ brown_candle_cake run data modify storage get_block:result block_state.Name set value "brown_candle_cake"
execute if block ~ ~ ~ cyan_candle_cake run data modify storage get_block:result block_state.Name set value "cyan_candle_cake"
execute if block ~ ~ ~ gray_candle_cake run data modify storage get_block:result block_state.Name set value "gray_candle_cake"
execute if block ~ ~ ~ green_candle_cake run data modify storage get_block:result block_state.Name set value "green_candle_cake"
execute if block ~ ~ ~ light_blue_candle_cake run data modify storage get_block:result block_state.Name set value "light_blue_candle_cake"
execute if block ~ ~ ~ light_gray_candle_cake run data modify storage get_block:result block_state.Name set value "light_gray_candle_cake"
execute if block ~ ~ ~ lime_candle_cake run data modify storage get_block:result block_state.Name set value "lime_candle_cake"
execute if block ~ ~ ~ magenta_candle_cake run data modify storage get_block:result block_state.Name set value "magenta_candle_cake"
execute if block ~ ~ ~ orange_candle_cake run data modify storage get_block:result block_state.Name set value "orange_candle_cake"
execute if block ~ ~ ~ pink_candle_cake run data modify storage get_block:result block_state.Name set value "pink_candle_cake"
execute if block ~ ~ ~ purple_candle_cake run data modify storage get_block:result block_state.Name set value "purple_candle_cake"
execute if block ~ ~ ~ red_candle_cake run data modify storage get_block:result block_state.Name set value "red_candle_cake"
execute if block ~ ~ ~ white_candle_cake run data modify storage get_block:result block_state.Name set value "white_candle_cake"
execute if block ~ ~ ~ yellow_candle_cake run data modify storage get_block:result block_state.Name set value "yellow_candle_cake"


execute if block ~ ~ ~ black_wall_banner run data modify storage get_block:result block_state.Name set value "black_wall_banner"
execute if block ~ ~ ~ blue_wall_banner run data modify storage get_block:result block_state.Name set value "blue_wall_banner"
execute if block ~ ~ ~ brown_wall_banner run data modify storage get_block:result block_state.Name set value "brown_wall_banner"
execute if block ~ ~ ~ cyan_wall_banner run data modify storage get_block:result block_state.Name set value "cyan_wall_banner"
execute if block ~ ~ ~ gray_wall_banner run data modify storage get_block:result block_state.Name set value "gray_wall_banner"
execute if block ~ ~ ~ green_wall_banner run data modify storage get_block:result block_state.Name set value "green_wall_banner"
execute if block ~ ~ ~ light_blue_wall_banner run data modify storage get_block:result block_state.Name set value "light_blue_wall_banner"
execute if block ~ ~ ~ light_gray_wall_banner run data modify storage get_block:result block_state.Name set value "light_gray_wall_banner"
execute if block ~ ~ ~ lime_wall_banner run data modify storage get_block:result block_state.Name set value "lime_wall_banner"
execute if block ~ ~ ~ magenta_wall_banner run data modify storage get_block:result block_state.Name set value "magenta_wall_banner"
execute if block ~ ~ ~ orange_wall_banner run data modify storage get_block:result block_state.Name set value "orange_wall_banner"
execute if block ~ ~ ~ pink_wall_banner run data modify storage get_block:result block_state.Name set value "pink_wall_banner"
execute if block ~ ~ ~ purple_wall_banner run data modify storage get_block:result block_state.Name set value "purple_wall_banner"
execute if block ~ ~ ~ red_wall_banner run data modify storage get_block:result block_state.Name set value "red_wall_banner"
execute if block ~ ~ ~ white_wall_banner run data modify storage get_block:result block_state.Name set value "white_wall_banner"
execute if block ~ ~ ~ yellow_wall_banner run data modify storage get_block:result block_state.Name set value "yellow_wall_banner"


execute if block ~ ~ ~ black_bed run data modify storage get_block:result block_state.Name set value "black_bed"
execute if block ~ ~ ~ blue_bed run data modify storage get_block:result block_state.Name set value "blue_bed"
execute if block ~ ~ ~ brown_bed run data modify storage get_block:result block_state.Name set value "brown_bed"
execute if block ~ ~ ~ cyan_bed run data modify storage get_block:result block_state.Name set value "cyan_bed"
execute if block ~ ~ ~ gray_bed run data modify storage get_block:result block_state.Name set value "gray_bed"
execute if block ~ ~ ~ green_bed run data modify storage get_block:result block_state.Name set value "green_bed"
execute if block ~ ~ ~ light_blue_bed run data modify storage get_block:result block_state.Name set value "light_blue_bed"
execute if block ~ ~ ~ light_gray_bed run data modify storage get_block:result block_state.Name set value "light_gray_bed"
execute if block ~ ~ ~ lime_bed run data modify storage get_block:result block_state.Name set value "lime_bed"
execute if block ~ ~ ~ magenta_bed run data modify storage get_block:result block_state.Name set value "magenta_bed"
execute if block ~ ~ ~ orange_bed run data modify storage get_block:result block_state.Name set value "orange_bed"
execute if block ~ ~ ~ pink_bed run data modify storage get_block:result block_state.Name set value "pink_bed"
execute if block ~ ~ ~ purple_bed run data modify storage get_block:result block_state.Name set value "purple_bed"
execute if block ~ ~ ~ red_bed run data modify storage get_block:result block_state.Name set value "red_bed"
execute if block ~ ~ ~ white_bed run data modify storage get_block:result block_state.Name set value "white_bed"
execute if block ~ ~ ~ yellow_bed run data modify storage get_block:result block_state.Name set value "yellow_bed"


execute if block ~ ~ ~ infested_chiseled_stone_bricks run data modify storage get_block:result block_state.Name set value "infested_chiseled_stone_bricks"
execute if block ~ ~ ~ infested_cobblestone run data modify storage get_block:result block_state.Name set value "infested_cobblestone"
execute if block ~ ~ ~ infested_cracked_stone_bricks run data modify storage get_block:result block_state.Name set value "infested_cracked_stone_bricks"
execute if block ~ ~ ~ infested_deepslate run data modify storage get_block:result block_state.Name set value "infested_deepslate"
execute if block ~ ~ ~ infested_mossy_stone_bricks run data modify storage get_block:result block_state.Name set value "infested_mossy_stone_bricks"
execute if block ~ ~ ~ infested_stone run data modify storage get_block:result block_state.Name set value "infested_stone"
execute if block ~ ~ ~ infested_stone_bricks run data modify storage get_block:result block_state.Name set value "infested_stone_bricks"


execute if block ~ ~ ~ chorus_plant run data modify storage get_block:result block_state.Name set value "chorus_plant"
execute if block ~ ~ ~ cocoa run data modify storage get_block:result block_state.Name set value "cocoa"
execute if block ~ ~ ~ dead_bush run data modify storage get_block:result block_state.Name set value "dead_bush"
execute if block ~ ~ ~ farmland run data modify storage get_block:result block_state.Name set value "farmland"
execute if block ~ ~ ~ frosted_ice run data modify storage get_block:result block_state.Name set value "frosted_ice"
execute if block ~ ~ ~ kelp_plant run data modify storage get_block:result block_state.Name set value "kelp_plant"


execute if block ~ ~ ~ large_fern run data modify storage get_block:result block_state.Name set value "large_fern"
execute if block ~ ~ ~ pitcher_plant run data modify storage get_block:result block_state.Name set value "pitcher_plant"
execute if block ~ ~ ~ moving_piston run data modify storage get_block:result block_state.Name set value "moving_piston"
execute if block ~ ~ ~ sunflower run data modify storage get_block:result block_state.Name set value "sunflower"
execute if block ~ ~ ~ rose_bush run data modify storage get_block:result block_state.Name set value "rose_bush"
execute if block ~ ~ ~ peony run data modify storage get_block:result block_state.Name set value "peony"
execute if block ~ ~ ~ lilac run data modify storage get_block:result block_state.Name set value "lilac"
execute if block ~ ~ ~ nether_wart run data modify storage get_block:result block_state.Name set value "nether_wart"


execute if block ~ ~ ~ petrified_oak_slab run data modify storage get_block:result block_state.Name set value "petrified_oak_slab"
execute if block ~ ~ ~ pitcher_crop run data modify storage get_block:result block_state.Name set value "pitcher_crop"
execute if block ~ ~ ~ sweet_berry_bush run data modify storage get_block:result block_state.Name set value "sweet_berry_bush"
execute if block ~ ~ ~ torchflower_crop run data modify storage get_block:result block_state.Name set value "torchflower_crop"