#board scale 0.875 0.625 0.125
#translate -0.4375 0.0 -0.0625

#attached true
#chain scale 0.875 1.0   0.875
#rotate 1.5708 axis 0 1 0
#translate -0.125 0.0 0.4375
#translate -0.75 0.0 0.4375

#attached false
#chain scale 0.875 0.5 1.25

#translate -0.25 0.5 0.4375
#left_rotate 1.5708 axis 0 1 0
#right_rotate -.2618 axis 0 0 1

#translate 0.25 0.5 -0.4375
#left_rotate -1.5708 axis 0 1 0
#right_rotate -.2618 axis 0 0 1


data remove storage hologram:config scale.signs.sign
data modify storage hologram:config scale.signs.sign append value 0.875f
data modify storage hologram:config scale.signs.sign append value 0.625f
data modify storage hologram:config scale.signs.sign append value 0.125f
data modify storage hologram:config scale.signs.sign append value -0.4375f
data modify storage hologram:config scale.signs.sign append value -0.0625f
data modify storage hologram:config scale.signs.sign append value -0.125f
data modify storage hologram:config scale.signs.sign append value 0.4375f
data modify storage hologram:config scale.signs.sign append value -0.75f
data modify storage hologram:config scale.signs.sign append value 1.25f
data modify storage hologram:config scale.signs.sign append value -0.25f
data modify storage hologram:config scale.signs.sign append value 0.25f

$execute store result storage hologram:config scale.signs.sign[0] float 1 run data get storage hologram:config scale.signs.sign[0] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[1] float 1 run data get storage hologram:config scale.signs.sign[1] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[2] float 1 run data get storage hologram:config scale.signs.sign[2] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[3] float 1 run data get storage hologram:config scale.signs.sign[3] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[4] float 1 run data get storage hologram:config scale.signs.sign[4] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[5] float 1 run data get storage hologram:config scale.signs.sign[5] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[6] float 1 run data get storage hologram:config scale.signs.sign[6] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[7] float 1 run data get storage hologram:config scale.signs.sign[7] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[8] float 1 run data get storage hologram:config scale.signs.sign[8] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[9] float 1 run data get storage hologram:config scale.signs.sign[9] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[10] float 1 run data get storage hologram:config scale.signs.sign[10] $(precise_scale)



$execute store result entity @n[tag=hologram_sign_board] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute store result entity @n[tag=hologram_sign_board] transformation.scale[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[1] 
$execute store result entity @n[tag=hologram_sign_board] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[2] 

$execute store result entity @n[tag=hologram_sign_board] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[3] 
data modify entity @n[tag=hologram_sign_board] transformation.translation[1] set value 0f
$execute store result entity @n[tag=hologram_sign_board] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[4] 


$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.scale[1] set value $(scale)f
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[5]
execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.translation[1] set value 0f 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[6] 

$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0]
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.scale[1] set value $(scale)f 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[7] 
execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.translation[1] set value 0f 
$execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[6] 

execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.right_rotation set value {angle:1.5708, axis:[0,1,0]}
execute unless data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.right_rotation set value {angle:1.5708, axis:[0,1,0]}


$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.scale[1] set value $(half_scale)f
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[8] 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[9]
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.translation[1] set value $(half_scale)f 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_1] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[6] 

$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0]
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.scale[1] set value $(half_scale)f 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[8] 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[10] 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.translation[1] set value $(half_scale)f 
$execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} store result entity @n[tag=hologram_sign_chain_2] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[3] 

execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.left_rotation set value {angle:1.5708, axis:[0,1,0]}
execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.left_rotation set value {angle:-1.5708, axis:[0,1,0]}

execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_1] transformation.right_rotation set value {angle:-.2618, axis:[1,0,0]}
execute if data entity @n[tag=hologram_cube] data.block_state.Properties{attached:"true"} run data modify entity @n[tag=hologram_sign_chain_2] transformation.right_rotation set value {angle:-.2618, axis:[1,0,0]}


#text
#scale .5625 .5625 .5625
#translate -0.00521 .421875 .078125
#translate * .2890625 *
#translate * .1640625 *
#translate * .0390625 *

#rotate 3.1416 axis 0 1 0
#scale .5625 .5625 .5625
#translate 0.00521 .421875 -.078125
#translate * .2890625 *
#translate * .1640625 *
#translate * .0390625 *

data remove storage hologram:config scale.signs.text
data modify storage hologram:config scale.signs.text append value 0.5625f
data modify storage hologram:config scale.signs.text append value -0.00521f
data modify storage hologram:config scale.signs.text append value 0.078125f
data modify storage hologram:config scale.signs.text append value 0.00521f
data modify storage hologram:config scale.signs.text append value -.078125f

data modify storage hologram:config scale.signs.text append value 0.421875f
data modify storage hologram:config scale.signs.text append value 0.2890625f
data modify storage hologram:config scale.signs.text append value 0.1640625f
data modify storage hologram:config scale.signs.text append value 0.0390625f

function hologram_int:special_render/signs/scale_text with storage hologram:config scale