#board scale 0.875 0.625 0.125
#translate -0.4375 0.0 -0.0625

#chain scale 0.875 1.0   0.875
#rotate 1.5708 axis 0 1 0
#translate -0.125 0.0 0.4375
#translate -0.75 0.0 0.4375

# ^^ all same as attached hanging sign
function hologram_int:special_render/signs/scale_hanging with storage hologram:config scale

#hologram_sign_crossbeam (axis x)
#scale 1.0 .125 .25
#translate -.5 .875 -.125

#hologram_sign_anchor
#scale .125 .1875 .3125
#translate -.375 .84375 -.15625
#translate .25 .84375 -.15625

data remove storage hologram:config scale.signs.sign
data modify storage hologram:config scale.signs.sign append value 0.125f
data modify storage hologram:config scale.signs.sign append value 0.25f
data modify storage hologram:config scale.signs.sign append value 0.875f
data modify storage hologram:config scale.signs.sign append value -0.125f
data modify storage hologram:config scale.signs.sign append value 0.1875f
data modify storage hologram:config scale.signs.sign append value 0.3125f
data modify storage hologram:config scale.signs.sign append value -0.375f
data modify storage hologram:config scale.signs.sign append value 0.84375f
data modify storage hologram:config scale.signs.sign append value -0.15625f

$execute store result storage hologram:config scale.signs.sign[0] float 1 run data get storage hologram:config scale.signs.sign[0] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[1] float 1 run data get storage hologram:config scale.signs.sign[1] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[2] float 1 run data get storage hologram:config scale.signs.sign[2] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[3] float 1 run data get storage hologram:config scale.signs.sign[3] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[4] float 1 run data get storage hologram:config scale.signs.sign[4] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[5] float 1 run data get storage hologram:config scale.signs.sign[5] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[6] float 1 run data get storage hologram:config scale.signs.sign[6] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[7] float 1 run data get storage hologram:config scale.signs.sign[7] $(precise_scale)
$execute store result storage hologram:config scale.signs.sign[8] float 1 run data get storage hologram:config scale.signs.sign[8] $(precise_scale)

$data modify entity @n[tag=hologram_sign_crossbeam] transformation.scale[0] set value $(scale)f
$execute store result entity @n[tag=hologram_sign_crossbeam] transformation.scale[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute store result entity @n[tag=hologram_sign_crossbeam] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[1] 

$data modify entity @n[tag=hologram_sign_crossbeam] transformation.translation[0] set value -$(half_scale)f
$execute store result entity @n[tag=hologram_sign_crossbeam] transformation.translation[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[2]
$execute store result entity @n[tag=hologram_sign_crossbeam] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[3] 

$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.scale[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[4] 
$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[5] 
$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[6]
$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.translation[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[7]
$execute store result entity @n[tag=hologram_sign_anchor_1] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[8] 

$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.scale[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[0] 
$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.scale[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[4] 
$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.scale[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[5] 
$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.translation[0] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[1]
$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.translation[1] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[7]
$execute store result entity @n[tag=hologram_sign_anchor_2] transformation.translation[2] float $(inverse_precision) run data get storage hologram:config scale.signs.sign[8] 
